Re: [Rd] Loading libraries in 2.0.0 (PR#7364)

From: Peter Dalgaard <p.dalgaard_at_biostat.ku.dk>
Date: Sat 13 Nov 2004 - 09:54:54 EST

paul.louisell@pw.utc.com writes:

> I'm using version 2.0.0 of R on a Windows 2000 OS. Packages that I installed
> in 1.9.1 are not installing properly in 2.0.0. Specifically, I can install
> packages from local zip files with the following code (which I execute
> through the GUI):
>
> > install.packages(choose.files('',filters=Filters[c('zip','All'),]),
> .libPaths()[1], CRAN = NULL)
> updating HTML package descriptions
> > install.packages(choose.files('',filters=Filters[c('zip','All'),]),
> .libPaths()[1], CRAN = NULL)
> updating HTML package descriptions
>
> The packages do show up in the html help files after installing them. But
> the packages won't load when I use the library command:
>
> > library(repeated)
> Error in library(repeated) : 'repeated' is not a valid package -- installed
> < 2.0.0?

Notice that "installed" actually means "built as binary" here, since zip files are mostly just unpacked into place, and the install step is done prior to packaging. So you should take the error message as a hint to get a newer zip file (available from the same place).

This is not a bug.

-- 
   O__  ---- Peter Dalgaard             Blegdamsvej 3  
  c/ /'_ --- Dept. of Biostatistics     2200 Cph. N   
 (*) \(*) -- University of Copenhagen   Denmark      Ph: (+45) 35327918
~~~~~~~~~~ - (p.dalgaard@biostat.ku.dk)             FAX: (+45) 35327907

______________________________________________
R-devel@stat.math.ethz.ch mailing list
https://stat.ethz.ch/mailman/listinfo/r-devel
Received on Sat Nov 13 10:01:35 2004

This archive was generated by hypermail 2.1.8 : Sat 13 Nov 2004 - 11:10:00 EST